import 'package:moor/moor.dart';

@DataClassName('Contact')
class ContactRecords extends Table {
  @override
  String get tableName => 'contacts';

  @override
  Set<Column> get primaryKey => {contactId};

  TextColumn get userId => text()();

  TextColumn get contactId => text()();

  TextColumn get firstName => text().nullable()();

  TextColumn get lastName => text().nullable()();

  TextColumn get cellPhone => text().nullable()();

  TextColumn get homePhone => text().nullable()();

  TextColumn get officePhone => text().nullable()();

  TextColumn get email => text().nullable()();

  TextColumn get contactDetails => text().nullable()();

  TextColumn get lastActivity => text().nullable()();

  DateTimeColumn get dateCreated => dateTime()();

  DateTimeColumn get lastUpdated => dateTime().nullable()();
}
