import 'package:moor/moor.dart';

@DataClassName('CoreLead')
class CoreLeadRecords extends Table {
  @override
  String get tableName => 'coreLeads';

  @override
  Set<Column> get primaryKey => {coreLeadId};

  TextColumn get coreLeadId => text()();

  TextColumn get userId => text()();

  TextColumn get contactId => text().nullable()();

  TextColumn get firstName => text().nullable()();

  TextColumn get lastName => text().nullable()();

  TextColumn get fullName => text().nullable()();

  TextColumn get displayName => text().nullable()();

  TextColumn get primaryPhone => text().nullable()();

  TextColumn get secondayPhone => text().nullable()();

  TextColumn get email => text().nullable()();

  TextColumn get mailingAddress => text().nullable()();

  TextColumn get loanNumber => text().nullable()();

  TextColumn get loanPurpose => text().nullable()();

  TextColumn get cofullName => text().nullable()();

  TextColumn get codisplayName => text().nullable()();

  TextColumn get cofirstName => text().nullable()();

  TextColumn get colastName => text().nullable()();

  TextColumn get leadSource => text().nullable()();

  TextColumn get leadSourceType => text().nullable()();

  TextColumn get leadSourceName => text().nullable()();

  TextColumn get coprimaryPhone => text().nullable()();

  TextColumn get cosecondaryPhone => text().nullable()();

  TextColumn get leadSourceCellPhone => text().nullable()();

  TextColumn get leadSourceOfficePhone => text().nullable()();

  TextColumn get leadSourceEmail => text().nullable()();

  TextColumn get salesAgentCellPhone => text().nullable()();

  TextColumn get salesAgentOfficePhone => text().nullable()();

  TextColumn get salesAgentEmail => text().nullable()();

  TextColumn get coemail => text().nullable()();

  DateTimeColumn get lastUpdated => dateTime().nullable()();
}
