import 'package:moor/moor.dart';

@DataClassName('GroupItem')
class GroupItemRecords extends Table {
  @override
  String get tableName => 'groupItem';

  @override
  Set<Column> get primaryKey => {itemId};

  TextColumn get userId => text()();

  TextColumn get itemId => text()();

  TextColumn get type => text().nullable()();

  TextColumn get groupId => text().nullable()();

  TextColumn get groupName => text().nullable()();

  DateTimeColumn get lastUpdated => dateTime().nullable()();
}
