import 'package:moor/moor.dart';

@DataClassName('VideoFolder')
class VideoFolderRecords extends Table {
  @override
  String get tableName => 'videoFolder';

  @override 
  Set<Column> get primaryKey => {videoId};

  TextColumn get videoId => text()();

  TextColumn get userId => text()();

  BoolColumn get shared => boolean().nullable()();

  BoolColumn get archived => boolean().nullable()();

  DateTimeColumn get dateModified => dateTime().nullable()();

}