part of unify;

class LoanHistory implements UnifyObject {
  LoanHistory(this.client, this.json);

  @override
  final UnifyClient client;

  @override
  final Map<String, dynamic> json;

  String get id => json["loan_id"];

  String get loanNumber => json["loan_number"];

  String get programTitle => json["program_title"];

  String get borrowerId => json["borrorer_id"];

  String get coBorrerId => json["coborrorer_id"];

  String get loackStatus => json["lock_status"];

  String get loackDate => json["lock_date"];

  String get loackRate => json["lock_rate"];

  double get loanRate => json["loan_rate"];

  String get loanAmount => json["loan_amount"];

  DateTime get dateUnderwriting => json["date_underwriting"];

  String get piPayment => json["pi_payment"];

  String get propertyAddress => json["property_address"];
}
