import 'package:flutter/material.dart';

class AddGroupExample extends StatefulWidget {
  AddGroupExample({
    this.name,
  });
  final String name;
  @override
  _AddGroupExampleState createState() => _AddGroupExampleState();
}

class _AddGroupExampleState extends State<AddGroupExample> {
  final TextEditingController _controller = TextEditingController();
  @override
  void initState() {
    _controller?.text = widget?.name ?? "";
    super.initState();
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: Text(widget?.name != null ? "Edit Group" : "Add Group"),
      ),
      body: SingleChildScrollView(
        child: Column(
          mainAxisSize: MainAxisSize.min,
          children: <Widget>[
            ListTile(
              title: TextField(
                controller: _controller,
                decoration: InputDecoration(hintText: "Group Name"),
              ),
            ),
            RaisedButton.icon(
              icon: Icon(Icons.save),
              label: Text("Save"),
              onPressed: () => Navigator.pop(context, _controller?.text ?? ""),
            )
          ],
        ),
      ),
    );
  }
}
