import 'package:flutter/material.dart';

void showList(BuildContext context, List<Widget> children) {
  showModalBottomSheet(
      context: context,
      builder: (BuildContext context) {
        return SingleChildScrollView(
          child: SafeArea(
            child: Column(
              mainAxisSize: MainAxisSize.min,
              children: children == null || children.isEmpty
                  ? [ListTile(title: Text("No Items Found"))]
                  : children,
            ),
          ),
        );
      });
}
