import 'package:moor/moor.dart';

@DataClassName('DashboardWidget')
class HomeRecords extends Table {
  @override
  String get tableName => 'home';

  @override
  Set<Column> get primaryKey => {itemId};

  IntColumn get itemId => integer().autoIncrement()();

  TextColumn get userId => text()();

  TextColumn get tag => text().nullable()();

  IntColumn get orderIndex => integer().nullable()();

  DateTimeColumn get lastUpdated => dateTime().nullable()();
}
