import 'package:moor/moor.dart';

@DataClassName('LogEntry')
class LogRecords extends Table {
  @override
  String get tableName => 'logs';

  IntColumn get id => integer().autoIncrement()();

  TextColumn get message => text()();

  TextColumn get userID => text().nullable()();

  TextColumn get exception => text().nullable()();

  BoolColumn get critical => boolean().nullable()();

  BoolColumn get analytics => boolean().nullable()();

  DateTimeColumn get dateCreated => dateTime()();
}
