import 'package:flutter/material.dart';

class PrivacyPolicyView extends StatelessWidget {
  const PrivacyPolicyView({
    Key key,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    String _text = """
The security of your information is of critical importance, and your privacy will be strictly protected. The information and data you give us will always be held in confidence. 

Our on-demand creation, printing and mailing services are provided to you for your convenience, and the data and information you share with us for each project is utilized solely for the purposes of that project.

It is our policy to never sell, trade, or lend any information to any other organization. We only share information with others as you so designate.

Certain services provided require data matching processes with third parties, which are used to provide important information to you. Examples of these services are Listing Alerts and Move Update. All of our third party partners are required to adhere to the same data privacy policies we do.

We work to protect the security of your information during transmission by using Secure Sockets Layer (SSL) software, which encrypts information you input.

It is your responsibility to protect against unauthorized access to your password and to your computer. If you share a computer, be sure to sign off when finished.

You will occasionally receive e-mail updates about our services that are intended to improve your experience with the use of our services. If you would rather not receive them, simply send us an email and we will remove you from future correspondence.
""";
    return SafeArea(
      child: Container(
        padding: EdgeInsets.all(8.0),
        child: SingleChildScrollView(
          child: Column(
            mainAxisSize: MainAxisSize.min,
            children: <Widget>[Text(_text)],
          ),
        ),
      ),
    );
  }
}
