part of unify;

class LoanContact implements UnifyObject {
  LoanContact(this.client, this.json);

  @override
  final UnifyClient client;

  @override
  final Map<String, dynamic> json;

  String get name => json["contactName"];

  String get type => json["contactType"];

  String get company => json["companyName"];

  String get nmls => json["nmlsID"];

  String get cellPhone => json["cellPhone"];

  String get officePhone => json["officePhone"];

  String get email => json["email"];

  PostalAddress get address {
    if (json["address"] != null) {
      PostalAddress(client, json["address"]);
    }
  }
}
